#!/bin/bash
set -e

# autopkgtest-schroot will not automatically start Postgres upon installation,
# so start it manually here.
invoke-rc.d postgresql start
trap 'invoke-rc.d postgresql stop' EXIT

sed -i 's/peer$/trust/' /etc/postgresql/*/main/pg_hba.conf
invoke-rc.d postgresql reload

export PGHOST=/var/run/postgresql
export PGUSER=postgres

psql -U $PGUSER -c 'create database pqgotest'
psql -U $PGUSER -c 'create user pqgossltest'
psql -U $PGUSER -c 'create user pqgosslcert'

export GOPATH=/usr/share/gocode

# Run tests as unprivileged user
export GOCACHE=$(mktemp -d)
chown $AUTOPKGTEST_NORMAL_USER $GOCACHE
runuser -p -u $AUTOPKGTEST_NORMAL_USER -- go test -vet=off -v github.com/lib/pq/...
